Bug 6493 - installer is unable to correctlly autoconfigure X server for i810 graphics chip
: installer is unable to correctlly autoconfigure X server for i810 graphics chip
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hwdatabase)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-12 10:24 by
Modified: 2008-01-31 06:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-12 10:24:09
При запуске X, genconfig как положено предлагает i810 в качестве драйвера. В   
итоге конфиг X-server'а получается из трёх скринов:   
1) Builtin Default i810 Screen 0   
2) Builtin Default vesa Screen 0   
3) Builtin Default vga Screen 0  
 Первый возможно лучший вариант, но драйвер i810 отсутствует.  
 Второй выбирается и запускается, однако я не разу не видел, чтобы vesa  
работала нормально на i810 chip'е. Соответственно, графика запускается, но на  
экране бегут просто полоски. И это при том, что мониторы пробовались разные и  
по логу запуска X видно, что выбирается режим 800x600@85 что точно умеет  
монитор. Переключение по Alt+Ctrl+/- меняет режим, но всё те же следы от  
неверной развертки, только толще (при 640x480)  
 Третий работает, если X явно задать -screen "Builtin Default vga Screen 0"  
но как это сказать install2-x11-qt я не знаю.  

Предлагается, либо добавить драйвер i810 в инсталятор, либо отучить X выбирать 
vesa для i810. 
Steps to Reproduce:
1.run installer on PC with integrated i810 chip 
2. 
3. 
Actual Results:  
Graphics install phase is unusible   


Expected Results:  
Should see nice graphics installer
------- Comment #1 From 2005-04-12 10:32:59 -------
пришлите пожалуйста с этой машины вывод pciscan -v
------- Comment #2 From 2005-04-12 11:06:34 -------
 unknown        Intel Corporation 82815 CGC [Chipset Graphics Controller] [VGA  
compatible controller]    
                8086:1132:0e11:0034    drivers: not found   class: 003:00:00  
                slot: 0000:00:02.0  hwid: 8E1950BE5114C337 
------- Comment #3 From 2005-06-07 11:58:20 -------
fixed (installer >= 2.9.9.6.iso)
------- Comment #4 From 2008-01-31 06:36:15 -------
Looks similar to https://bugzilla.altlinux.org/show_bug.cgi?id=14255 .